local lg = assert( love.graphics )
local math = math

local vertices = {{0, 1, 0, 1/2, 3}}

local c, s = math.cos( math.pi / 8 ), math.sin( math.pi / 8 )
local x, z = 1, 0
for i = 1, 17 do
  local u, v = i / 17, 1 - i / 17
  vertices[ i + 1 ] = { x, 0, z, u, 0}
  x, z = c*x+s*z, c*z-s*x
end

local mesh = lg.newMesh(
  {--attributes
    {"VertexPosition", "float", 3},
    {"VertexTexCoord", "float", 2},
  },
  vertices,
  "fan",
  "static"
)
return mesh